<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>saas-ics</artifactId>
        <groupId>com.ics</groupId>
        <version>1.0.0-SNAPSHOT</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>

    <artifactId>ics-web</artifactId>

    <dependencies>
        <!-- 定时任务-->
        <dependency>
            <groupId>com.ics</groupId>
            <artifactId>ics-quartz</artifactId>
        </dependency>

        <!-- 代码生成-->
        <dependency>
            <groupId>com.ics</groupId>
            <artifactId>ics-generator</artifactId>
        </dependency>

        <!-- 系统模块 -->
        <dependency>
            <groupId>com.ics</groupId>
            <artifactId>ics-system</artifactId>
        </dependency>

        <!-- 园区管理 -->
        <dependency>
            <groupId>com.ics</groupId>
            <artifactId>ics-admin</artifactId>
        </dependency>

    </dependencies>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <version>2.7.5</version>
                <configuration>
                    <fork>true</fork> <!-- 如果没有该配置，devtools不会生效 -->
                </configuration>
                <executions>
                    <execution>
                        <goals>
                            <goal>repackage</goal>
                        </goals>
                    </execution>
                </executions>
            </plugin>
        </plugins>
        <finalName>ics-demo</finalName>
    </build>

</project>